"{ Package: 'stx:goodies/regression' }"

"{ NameSpace: RegressionTests }"

TestCase subclass:#ImageReaderTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'tests-Regression-Graphics-Images'
!

!ImageReaderTests class methodsFor:'documentation'!

documentation
"
    Tests for the image readers in libview2
"
! !

!ImageReaderTests methodsFor:'tests'!

test01_XBM
     |file original restored|

     original := Image fromFile:'../../goodies/bitmaps/xbmBitmaps/TicTacToe.xbm'.
     file := String streamContents:[:stream |
        XBMReader save:original onStream:stream
     ].
     restored := XBMReader fromStream:(file readStream).
     self assert:(restored = original)


!

test02_GIF    
    |file original original8 restored|

    self skip. "/ not ok - the recovered gif image is always different
    
    original := Image fromFile:'../../goodies/bitmaps/xbmBitmaps/TicTacToe.xbm'.
    original8 := Depth8Image fromImage:original.

    file := ByteArray streamContents:[:stream |
       GIFReader save:original8 onStream:stream
    ].
    restored := GIFReader fromStream:(file readStream).
    self assert:(restored = original8)
! !

!ImageReaderTests class methodsFor:'documentation'!

version_CVS
    ^ '$Header$'
! !

